package com.zg.project.information.service;

import com.zg.project.information.domain.SceneMapping;

import java.util.List;

/**
 * 场景编号Service接口
 * 
 * @author zg
 * @date 2025-05-24
 */
public interface ISceneMappingService 
{
    /**
     * 查询场景编号
     * 
     * @param id 场景编号主键
     * @return 场景编号
     */
    public SceneMapping selectSceneMappingById(Long id);

    /**
     * 查询场景编号列表
     * 
     * @param sceneMapping 场景编号
     * @return 场景编号集合
     */
    public List<SceneMapping> selectSceneMappingList(SceneMapping sceneMapping);

    /**
     * 新增场景编号
     * 
     * @param sceneMapping 场景编号
     * @return 结果
     */
    public int insertSceneMapping(SceneMapping sceneMapping);

    /**
     * 修改场景编号
     * 
     * @param sceneMapping 场景编号
     * @return 结果
     */
    public int updateSceneMapping(SceneMapping sceneMapping);

    /**
     * 批量删除场景编号
     * 
     * @param ids 需要删除的场景编号主键集合
     * @return 结果
     */
    public int deleteSceneMappingByIds(Long[] ids);

    /**
     * 删除场景编号信息
     * 
     * @param id 场景编号主键
     * @return 结果
     */
    public int deleteSceneMappingById(Long id);
}
